cordova.define("cordova-amplitude-plugin.AmplitudePlugin", function(require, exports, module) {
const exec = require('cordova/exec');
const PLUGIN_NAME = "AmplitudePlugin";

var AmplitudePlugin = function () { };

AmplitudePlugin.setUserId = function (params, onSuccess = () => { }, onError = () => { }) {
  const { userId, appsflyerId } = params;
  exec(onSuccess, onError, PLUGIN_NAME, "setUserId", [userId, appsflyerId]);
};

AmplitudePlugin.track = function (event, onSuccess = () => { }, onError = () => { }) {
  const { prop_name, params } = event;
  exec(onSuccess, onError, PLUGIN_NAME, "track", [prop_name, params]);
};

AmplitudePlugin.identify = function (event, onSuccess = () => { }, onError = () => { }) {
  const { property_name, value, operation } = event;
  exec(onSuccess, onError, PLUGIN_NAME, "identify", [property_name, value, operation]);
};

AmplitudePlugin.flush = function (onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "flush", []);
};

AmplitudePlugin.initExperimentClient = function (onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "initExperimentClient", []);
};

AmplitudePlugin.getVariant = function (featureFlagKey, onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "getVariant", [featureFlagKey]);
};

AmplitudePlugin.getAllVariants = function (onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "getAllVariants", []);
};

AmplitudePlugin.fetchVariants = function (userProperties = null, onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "fetchVariants", [userProperties]);
};

AmplitudePlugin.clearExperimentData = function (onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "clearExperimentData", []);
}

AmplitudePlugin.reset = function (onSuccess = () => { }, onError = () => { }) {
  exec(onSuccess, onError, PLUGIN_NAME, "reset", []);
};

module.exports = AmplitudePlugin;

});
